#include "battery.h"
#include  "ble_bas.h"

uint8_t             battery_level=0;                           /**< Battery level variable */
ble_bas_t           bas;                                       /**< Structure used to identify the battery service. */
 
/**@brief Time-out handler for measuring battery level on time-out of 2 seconds*/ 
 static void battery_level_meas_timeout_handler(void * p_context)
{
    UNUSED_PARAMETER(p_context);
    battery_start();
}

/**@brief Function for initializing battery alarm service*/
 static void bas_init(void)
{

    uint32_t       err_code;
    ble_bas_init_t bas_init;
	
    // Initialize Battery Service
    memset(&bas_init, 0, sizeof(bas_init));

    // Here the sec level for the Battery Service can be changed/increased.
    BLE_GAP_CONN_SEC_MODE_SET_OPEN(&bas_init.battery_level_char_attr_md.cccd_write_perm);
    BLE_GAP_CONN_SEC_MODE_SET_OPEN(&bas_init.battery_level_char_attr_md.read_perm);
    BLE_GAP_CONN_SEC_MODE_SET_NO_ACCESS(&bas_init.battery_level_char_attr_md.write_perm);

    BLE_GAP_CONN_SEC_MODE_SET_OPEN(&bas_init.battery_level_report_read_perm);

    bas_init.evt_handler          = NULL;
    bas_init.support_notification = true;
    bas_init.p_report_ref         = NULL;
    bas_init.initial_batt_level   = 100;

    err_code = ble_bas_init(&bas, &bas_init);
    APP_ERROR_CHECK(err_code);
}
 
/**@breif Initialize battery service*/
 static void services_init(void)
{
    bas_init();            
}




